<template>
  <div>
    <section class="relative bg-secondary h-[calc(25vh+80px)] md:h-[calc(25vh+80px)] flex items-center justify-center">
      <img src="/cree-banner.webp" class="absolute top-0 bottom-0 left-0 right-0 object-cover object-center w-full h-full select-none opacity-20" alt="" loading="lazy">
      <div class="px-10 mx-auto text-center lg:px-0 lg:max-w-4xl mt-[40px]">
        <h1 class="mb-10 text-3xl relative font-bold uppercase text-primary lg:text-6xl bai mt-[40px]">
          {{ $t('believe.title') }}
        </h1>
      </div>
    </section>

    <section
      id="proposito"
      class="relative overflow-hidden bg-fixed bg-no-repeat bg-cover lg:inset-y-0"
    >
      <!-- <img
        src="/home-aprende-bg.webp"
        class="absolute top-0 left-0 object-cover object-center w-full h-full"
        alt=""
      /> -->

      <div class="grid gap-0 lg:p-0 grid-cosl-1 lg:grid-cols-12">
        <div
          class="p-10 lg:px-24 lg:py-52 lg:col-span-7 xl:col-span-6 glass lg:rounded-none bg-primary"
        >
          <div>
            <h3 class="section-title text-secondary">
              {{ $t('believe.purpose.title') }}
            </h3>

            <div class="space-y-8">
              <p class="text-base leading-loose text-secondary">
                {{ $t('believe.purpose.text') }}
              </p>
            </div>
          </div>
        </div>

        <div class="col-span-1 lg:col-span-5 xl:col-span-6">
          <!-- <video autoplay loop muted class="object-cover object-center w-auto h-full">
            <source src="/proposito_bg.webm" type="video/mp4" />
            Your browser does not support the video tag.
          </video> -->
          <img class="object-cover object-center w-auto h-full" src="/cree_bg.webp" alt="">
        </div>
      </div>
    </section>

    <section id="manifiesto" class="relative py-16 bg-secondary">
      <img src="/manifiesto-bg.webp" class="absolute top-0 bottom-0 left-0 right-0 hidden object-cover w-full h-full lg:block opacity-40" loading="lazy" alt="Imagen de fondo sección de mina" />

      <div class="flex justify-center">
        <div class="inline-block w-auto p-10 mx-auto lg:border glass bg-secondary/80 border-primary rounded-2xl xl:py-20 xl:px-28">
          <h3 class="section-title text-primary">
            {{ $t('believe.manifest.title') }}
          </h3>

          <p class="text-base leading-loose whitespace-pre-line text-muted">
            {{ $t('believe.manifest.text') }}
          </p>
        </div>
      </div>
    </section>
  </div>
</template>

<script>
export default { 
  name: 'CreePage',
  nuxtI18n: {
    paths: {
      en: '/believe',
      es: '/cree'
    }
  }
}
</script>

<style></style>